
	####################################
	# Begining of the R implementation #
	# To reproduce Tables 1 ~ 8 and Tables 1 ~ 3 in the supplementary, 
	# please implement everything until "End of the simulation".     
 	####################################

rm(list = ls())
library(mvtnorm)
library(mclust)
source("dis_function.R")

	## Simulation for Type 1 errors ##

N <- 1000
P <- 4
ncls <- 4
niter <- 1000
mu <- 4
sigma <- 1.2
param <- list()
param$mu <- matrix(0, P, ncls) # All mean vectors are equal
param$mu[,1] <- c(1.5, 0.0, 0.5, 1.0)*mu
param$mu[,2] <- c(1.0, 1.5, 0.0, 0.5)*mu
param$mu[,3] <- c(0.5, 1.0, 1.5, 0.0)*mu
param$mu[,4] <- c(0.0, 0.5, 1.0, 1.5)*mu
param$cov <- array(0, c(P, P, ncls))
param$cov[,,1] <- matrix(c(3.0,1.0,0.5,0.25, 1.0,3.0,1.0,0.5, 0.5,1.0,3.0,1.0, 0.25,0.5,1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,2] <- matrix(c(3.0,-1.0,-0.5,-0.25, -1.0,3.0,-1.0,-0.5, -0.5,-1.0,3.0,-1.0, -0.25,-0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,3] <- matrix(c(3.0,-1.0,0.5,0.25, -1.0,3.0,-1.0,0.5, 0.5,-1.0,3.0,-1.0, 0.25,0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,4] <- matrix(c(3.0,1.0,-0.5,-0.25, 1.0,3.0,1.0,-0.5, -0.5,1.0,3.0,1.0, -0.25,-0.5,1.0,3.0),P,P) * 1.5 * sigma
param$prop <- rep(1/ncls,ncls)
set.seed(1)
Type.I.4.12 <- ODD.TypeI.compare(N, param, alpha = 0.05, niter = 1000)
save.image('R_Result_Simulation.RData')
sigma <- 1.0
param$cov <- array(0, c(P, P, ncls))
param$cov[,,1] <- matrix(c(3.0,1.0,0.5,0.25, 1.0,3.0,1.0,0.5, 0.5,1.0,3.0,1.0, 0.25,0.5,1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,2] <- matrix(c(3.0,-1.0,-0.5,-0.25, -1.0,3.0,-1.0,-0.5, -0.5,-1.0,3.0,-1.0, -0.25,-0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,3] <- matrix(c(3.0,-1.0,0.5,0.25, -1.0,3.0,-1.0,0.5, 0.5,-1.0,3.0,-1.0, 0.25,0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,4] <- matrix(c(3.0,1.0,-0.5,-0.25, 1.0,3.0,1.0,-0.5, -0.5,1.0,3.0,1.0, -0.25,-0.5,1.0,3.0),P,P) * 1.5 * sigma
param$prop <- rep(1/ncls,ncls)
set.seed(1)
Type.I.4.10 <- ODD.TypeI.compare(N, param, alpha = 0.05, niter = 1000)
save.image('R_Result_Simulation.RData')
sigma <- 0.5
param$cov <- array(0, c(P, P, ncls))
param$cov[,,1] <- matrix(c(3.0,1.0,0.5,0.25, 1.0,3.0,1.0,0.5, 0.5,1.0,3.0,1.0, 0.25,0.5,1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,2] <- matrix(c(3.0,-1.0,-0.5,-0.25, -1.0,3.0,-1.0,-0.5, -0.5,-1.0,3.0,-1.0, -0.25,-0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,3] <- matrix(c(3.0,-1.0,0.5,0.25, -1.0,3.0,-1.0,0.5, 0.5,-1.0,3.0,-1.0, 0.25,0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,4] <- matrix(c(3.0,1.0,-0.5,-0.25, 1.0,3.0,1.0,-0.5, -0.5,1.0,3.0,1.0, -0.25,-0.5,1.0,3.0),P,P) * 1.5 * sigma
set.seed(1)
Type.I.4.05 <- ODD.TypeI.compare(N, param, alpha = 0.05, niter = 1000)
save.image('R_Result_Simulation.RData')
mu <- 3
sigma <- 1.2
param <- list()
param$mu <- matrix(0, P, ncls) # All mean vectors are equal
param$mu[,1] <- c(1.5, 0.0, 0.5, 1.0)*mu
param$mu[,2] <- c(1.0, 1.5, 0.0, 0.5)*mu
param$mu[,3] <- c(0.5, 1.0, 1.5, 0.0)*mu
param$mu[,4] <- c(0.0, 0.5, 1.0, 1.5)*mu
param$cov <- array(0, c(P, P, ncls))
param$cov[,,1] <- matrix(c(3.0,1.0,0.5,0.25, 1.0,3.0,1.0,0.5, 0.5,1.0,3.0,1.0, 0.25,0.5,1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,2] <- matrix(c(3.0,-1.0,-0.5,-0.25, -1.0,3.0,-1.0,-0.5, -0.5,-1.0,3.0,-1.0, -0.25,-0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,3] <- matrix(c(3.0,-1.0,0.5,0.25, -1.0,3.0,-1.0,0.5, 0.5,-1.0,3.0,-1.0, 0.25,0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,4] <- matrix(c(3.0,1.0,-0.5,-0.25, 1.0,3.0,1.0,-0.5, -0.5,1.0,3.0,1.0, -0.25,-0.5,1.0,3.0),P,P) * 1.5 * sigma
param$prop <- rep(1/ncls,ncls)
set.seed(1)
Type.I.3.12 <- ODD.TypeI.compare(N, param, alpha = 0.05, niter = 1000)
save.image('R_Result_Simulation.RData')
sigma <- 1.0
param$cov <- array(0, c(P, P, ncls))
param$cov[,,1] <- matrix(c(3.0,1.0,0.5,0.25, 1.0,3.0,1.0,0.5, 0.5,1.0,3.0,1.0, 0.25,0.5,1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,2] <- matrix(c(3.0,-1.0,-0.5,-0.25, -1.0,3.0,-1.0,-0.5, -0.5,-1.0,3.0,-1.0, -0.25,-0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,3] <- matrix(c(3.0,-1.0,0.5,0.25, -1.0,3.0,-1.0,0.5, 0.5,-1.0,3.0,-1.0, 0.25,0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,4] <- matrix(c(3.0,1.0,-0.5,-0.25, 1.0,3.0,1.0,-0.5, -0.5,1.0,3.0,1.0, -0.25,-0.5,1.0,3.0),P,P) * 1.5 * sigma
param$prop <- rep(1/ncls,ncls)
set.seed(1)
Type.I.3.10 <- ODD.TypeI.compare(N, param, alpha = 0.05, niter = 1000)
save.image('R_Result_Simulation.RData')
sigma <- 0.5
param$cov <- array(0, c(P, P, ncls))
param$cov[,,1] <- matrix(c(3.0,1.0,0.5,0.25, 1.0,3.0,1.0,0.5, 0.5,1.0,3.0,1.0, 0.25,0.5,1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,2] <- matrix(c(3.0,-1.0,-0.5,-0.25, -1.0,3.0,-1.0,-0.5, -0.5,-1.0,3.0,-1.0, -0.25,-0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,3] <- matrix(c(3.0,-1.0,0.5,0.25, -1.0,3.0,-1.0,0.5, 0.5,-1.0,3.0,-1.0, 0.25,0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,4] <- matrix(c(3.0,1.0,-0.5,-0.25, 1.0,3.0,1.0,-0.5, -0.5,1.0,3.0,1.0, -0.25,-0.5,1.0,3.0),P,P) * 1.5 * sigma
set.seed(1)
Type.I.3.05 <- ODD.TypeI.compare(N, param, alpha = 0.05, niter = 1000)
save.image('R_Result_Simulation.RData')
mu <- 2
sigma <- 1.2
param <- list()
param$mu <- matrix(0, P, ncls) # All mean vectors are equal
param$mu[,1] <- c(1.5, 0.0, 0.5, 1.0)*mu
param$mu[,2] <- c(1.0, 1.5, 0.0, 0.5)*mu
param$mu[,3] <- c(0.5, 1.0, 1.5, 0.0)*mu
param$mu[,4] <- c(0.0, 0.5, 1.0, 1.5)*mu
param$cov <- array(0, c(P, P, ncls))
param$cov[,,1] <- matrix(c(3.0,1.0,0.5,0.25, 1.0,3.0,1.0,0.5, 0.5,1.0,3.0,1.0, 0.25,0.5,1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,2] <- matrix(c(3.0,-1.0,-0.5,-0.25, -1.0,3.0,-1.0,-0.5, -0.5,-1.0,3.0,-1.0, -0.25,-0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,3] <- matrix(c(3.0,-1.0,0.5,0.25, -1.0,3.0,-1.0,0.5, 0.5,-1.0,3.0,-1.0, 0.25,0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,4] <- matrix(c(3.0,1.0,-0.5,-0.25, 1.0,3.0,1.0,-0.5, -0.5,1.0,3.0,1.0, -0.25,-0.5,1.0,3.0),P,P) * 1.5 * sigma
param$prop <- rep(1/ncls,ncls)
set.seed(1)
Type.I.2.12 <- ODD.TypeI.compare(N, param, alpha = 0.05, niter = 1000)
save.image('R_Result_Simulation.RData')
sigma <- 1.0
param$cov <- array(0, c(P, P, ncls))
param$cov[,,1] <- matrix(c(3.0,1.0,0.5,0.25, 1.0,3.0,1.0,0.5, 0.5,1.0,3.0,1.0, 0.25,0.5,1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,2] <- matrix(c(3.0,-1.0,-0.5,-0.25, -1.0,3.0,-1.0,-0.5, -0.5,-1.0,3.0,-1.0, -0.25,-0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,3] <- matrix(c(3.0,-1.0,0.5,0.25, -1.0,3.0,-1.0,0.5, 0.5,-1.0,3.0,-1.0, 0.25,0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,4] <- matrix(c(3.0,1.0,-0.5,-0.25, 1.0,3.0,1.0,-0.5, -0.5,1.0,3.0,1.0, -0.25,-0.5,1.0,3.0),P,P) * 1.5 * sigma
param$prop <- rep(1/ncls,ncls)
set.seed(1)
Type.I.2.10 <- ODD.TypeI.compare(N, param, alpha = 0.05, niter = 1000)
save.image('R_Result_Simulation.RData')
sigma <- 0.5
param$cov <- array(0, c(P, P, ncls))
param$cov[,,1] <- matrix(c(3.0,1.0,0.5,0.25, 1.0,3.0,1.0,0.5, 0.5,1.0,3.0,1.0, 0.25,0.5,1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,2] <- matrix(c(3.0,-1.0,-0.5,-0.25, -1.0,3.0,-1.0,-0.5, -0.5,-1.0,3.0,-1.0, -0.25,-0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,3] <- matrix(c(3.0,-1.0,0.5,0.25, -1.0,3.0,-1.0,0.5, 0.5,-1.0,3.0,-1.0, 0.25,0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,4] <- matrix(c(3.0,1.0,-0.5,-0.25, 1.0,3.0,1.0,-0.5, -0.5,1.0,3.0,1.0, -0.25,-0.5,1.0,3.0),P,P) * 1.5 * sigma
param$prop <- rep(1/ncls,ncls)
set.seed(1)
Type.I.2.05 <- ODD.TypeI.compare(N, param, alpha = 0.05, niter = 1000)
save.image('R_Result_Simulation.RData')

	## Power Calculation ##
	
N <- 1000
P <- 4
ncls <- 4
niter <- 1000
mu <- 4
sigma <- 1.2
param <- list()
param$mu <- matrix(0, P, ncls) # All mean vectors are equal
param$mu[,1] <- c(1.5, 0.0, 0.5, 1.0)*mu
param$mu[,2] <- c(1.0, 1.5, 0.0, 0.5)*mu
param$mu[,3] <- c(0.5, 1.0, 1.5, 0.0)*mu
param$mu[,4] <- c(0.0, 0.5, 1.0, 1.5)*mu
param$cov <- array(0, c(P, P, ncls))
param$cov[,,1] <- matrix(c(3.0,1.0,0.5,0.25, 1.0,3.0,1.0,0.5, 0.5,1.0,3.0,1.0, 0.25,0.5,1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,2] <- matrix(c(3.0,-1.0,-0.5,-0.25, -1.0,3.0,-1.0,-0.5, -0.5,-1.0,3.0,-1.0, -0.25,-0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,3] <- matrix(c(3.0,-1.0,0.5,0.25, -1.0,3.0,-1.0,0.5, 0.5,-1.0,3.0,-1.0, 0.25,0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,4] <- matrix(c(3.0,1.0,-0.5,-0.25, 1.0,3.0,1.0,-0.5, -0.5,1.0,3.0,1.0, -0.25,-0.5,1.0,3.0),P,P) * 1.5 * sigma
param$prop <- rep(1/ncls,ncls)
set.seed(1)
Power.4.12 <- ODD.Power.compare(N, param, alpha = 0.05, niter = 1000)
save.image('R_Result_Simulation.RData')
sigma <- 1.0
param$cov <- array(0, c(P, P, ncls))
param$cov[,,1] <- matrix(c(3.0,1.0,0.5,0.25, 1.0,3.0,1.0,0.5, 0.5,1.0,3.0,1.0, 0.25,0.5,1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,2] <- matrix(c(3.0,-1.0,-0.5,-0.25, -1.0,3.0,-1.0,-0.5, -0.5,-1.0,3.0,-1.0, -0.25,-0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,3] <- matrix(c(3.0,-1.0,0.5,0.25, -1.0,3.0,-1.0,0.5, 0.5,-1.0,3.0,-1.0, 0.25,0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,4] <- matrix(c(3.0,1.0,-0.5,-0.25, 1.0,3.0,1.0,-0.5, -0.5,1.0,3.0,1.0, -0.25,-0.5,1.0,3.0),P,P) * 1.5 * sigma
param$prop <- rep(1/ncls,ncls)
set.seed(1)
Power.4.10 <- ODD.Power.compare(N, param, alpha = 0.05, niter = 1000)
save.image('R_Result_Simulation.RData')
sigma <- 0.5
param$cov <- array(0, c(P, P, ncls))
param$cov[,,1] <- matrix(c(3.0,1.0,0.5,0.25, 1.0,3.0,1.0,0.5, 0.5,1.0,3.0,1.0, 0.25,0.5,1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,2] <- matrix(c(3.0,-1.0,-0.5,-0.25, -1.0,3.0,-1.0,-0.5, -0.5,-1.0,3.0,-1.0, -0.25,-0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,3] <- matrix(c(3.0,-1.0,0.5,0.25, -1.0,3.0,-1.0,0.5, 0.5,-1.0,3.0,-1.0, 0.25,0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,4] <- matrix(c(3.0,1.0,-0.5,-0.25, 1.0,3.0,1.0,-0.5, -0.5,1.0,3.0,1.0, -0.25,-0.5,1.0,3.0),P,P) * 1.5 * sigma
param$prop <- rep(1/ncls,ncls)
set.seed(1)
Power.4.05 <- ODD.Power.compare(N, param, alpha = 0.05, niter = 1000)
save.image('R_Result_Simulation.RData')
mu <- 3
sigma <- 1.2
param <- list()
param$mu <- matrix(0, P, ncls) # All mean vectors are equal
param$mu[,1] <- c(1.5, 0.0, 0.5, 1.0)*mu
param$mu[,2] <- c(1.0, 1.5, 0.0, 0.5)*mu
param$mu[,3] <- c(0.5, 1.0, 1.5, 0.0)*mu
param$mu[,4] <- c(0.0, 0.5, 1.0, 1.5)*mu
param$cov <- array(0, c(P, P, ncls))
param$cov[,,1] <- matrix(c(3.0,1.0,0.5,0.25, 1.0,3.0,1.0,0.5, 0.5,1.0,3.0,1.0, 0.25,0.5,1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,2] <- matrix(c(3.0,-1.0,-0.5,-0.25, -1.0,3.0,-1.0,-0.5, -0.5,-1.0,3.0,-1.0, -0.25,-0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,3] <- matrix(c(3.0,-1.0,0.5,0.25, -1.0,3.0,-1.0,0.5, 0.5,-1.0,3.0,-1.0, 0.25,0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,4] <- matrix(c(3.0,1.0,-0.5,-0.25, 1.0,3.0,1.0,-0.5, -0.5,1.0,3.0,1.0, -0.25,-0.5,1.0,3.0),P,P) * 1.5 * sigma
param$prop <- rep(1/ncls,ncls)
set.seed(1)
Power.3.12 <- ODD.Power.compare(N, param, alpha = 0.05, niter = 1000)
save.image('R_Result_Simulation.RData')
sigma <- 0.5
param$cov <- array(0, c(P, P, ncls))
param$cov[,,1] <- matrix(c(3.0,1.0,0.5,0.25, 1.0,3.0,1.0,0.5, 0.5,1.0,3.0,1.0, 0.25,0.5,1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,2] <- matrix(c(3.0,-1.0,-0.5,-0.25, -1.0,3.0,-1.0,-0.5, -0.5,-1.0,3.0,-1.0, -0.25,-0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,3] <- matrix(c(3.0,-1.0,0.5,0.25, -1.0,3.0,-1.0,0.5, 0.5,-1.0,3.0,-1.0, 0.25,0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,4] <- matrix(c(3.0,1.0,-0.5,-0.25, 1.0,3.0,1.0,-0.5, -0.5,1.0,3.0,1.0, -0.25,-0.5,1.0,3.0),P,P) * 1.5 * sigma
param$prop <- rep(1/ncls,ncls)
set.seed(1)
Power.3.05 <- ODD.Power.compare(N, param, alpha = 0.05, niter = 1000)
save.image('R_Result_Simulation.RData')
mu <- 2
sigma <- 1.2
param$mu <- matrix(0, P, ncls) # All mean vectors are equal
param$mu[,1] <- c(1.5, 0.0, 0.5, 1.0)*mu
param$mu[,2] <- c(1.0, 1.5, 0.0, 0.5)*mu
param$mu[,3] <- c(0.5, 1.0, 1.5, 0.0)*mu
param$mu[,4] <- c(0.0, 0.5, 1.0, 1.5)*mu
param$cov <- array(0, c(P, P, ncls))
param$cov[,,1] <- matrix(c(3.0,1.0,0.5,0.25, 1.0,3.0,1.0,0.5, 0.5,1.0,3.0,1.0, 0.25,0.5,1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,2] <- matrix(c(3.0,-1.0,-0.5,-0.25, -1.0,3.0,-1.0,-0.5, -0.5,-1.0,3.0,-1.0, -0.25,-0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,3] <- matrix(c(3.0,-1.0,0.5,0.25, -1.0,3.0,-1.0,0.5, 0.5,-1.0,3.0,-1.0, 0.25,0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,4] <- matrix(c(3.0,1.0,-0.5,-0.25, 1.0,3.0,1.0,-0.5, -0.5,1.0,3.0,1.0, -0.25,-0.5,1.0,3.0),P,P) * 1.5 * sigma
set.seed(1)
Power.2.12 <- ODD.Power.compare(N, param, alpha = 0.05, niter = 1000)
save.image('R_Result_Simulation.RData')
mu <- 2
sigma <- 1.0
param$mu <- matrix(0, P, ncls) # All mean vectors are equal
param$mu[,1] <- c(1.5, 0.0, 0.5, 1.0)*mu
param$mu[,2] <- c(1.0, 1.5, 0.0, 0.5)*mu
param$mu[,3] <- c(0.5, 1.0, 1.5, 0.0)*mu
param$mu[,4] <- c(0.0, 0.5, 1.0, 1.5)*mu
param$cov <- array(0, c(P, P, ncls))
param$cov[,,1] <- matrix(c(3.0,1.0,0.5,0.25, 1.0,3.0,1.0,0.5, 0.5,1.0,3.0,1.0, 0.25,0.5,1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,2] <- matrix(c(3.0,-1.0,-0.5,-0.25, -1.0,3.0,-1.0,-0.5, -0.5,-1.0,3.0,-1.0, -0.25,-0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,3] <- matrix(c(3.0,-1.0,0.5,0.25, -1.0,3.0,-1.0,0.5, 0.5,-1.0,3.0,-1.0, 0.25,0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,4] <- matrix(c(3.0,1.0,-0.5,-0.25, 1.0,3.0,1.0,-0.5, -0.5,1.0,3.0,1.0, -0.25,-0.5,1.0,3.0),P,P) * 1.5 * sigma
set.seed(1)
Power.2.10 <- ODD.Power.compare(N, param, alpha = 0.05, niter = 1000)
save.image('R_Result_Simulation.RData')
sigma <- 0.5
param$cov <- array(0, c(P, P, ncls))
param$cov[,,1] <- matrix(c(3.0,1.0,0.5,0.25, 1.0,3.0,1.0,0.5, 0.5,1.0,3.0,1.0, 0.25,0.5,1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,2] <- matrix(c(3.0,-1.0,-0.5,-0.25, -1.0,3.0,-1.0,-0.5, -0.5,-1.0,3.0,-1.0, -0.25,-0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,3] <- matrix(c(3.0,-1.0,0.5,0.25, -1.0,3.0,-1.0,0.5, 0.5,-1.0,3.0,-1.0, 0.25,0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,4] <- matrix(c(3.0,1.0,-0.5,-0.25, 1.0,3.0,1.0,-0.5, -0.5,1.0,3.0,1.0, -0.25,-0.5,1.0,3.0),P,P) * 1.5 * sigma
set.seed(1)
Power.2.05 <- ODD.Power.compare(N, param, alpha = 0.05, niter = 1000)
save.image('R_Result_Simulation.RData')

	## Prediction accuracy ##

N <- 1000
P <- 4
ncls <- 4
mu <- 4
sigma <- 1.2
param <- list()
param$mu <- matrix(0, P, ncls) # All mean vectors are equal
param$mu[,1] <- c(1.5, 0.0, 0.5, 1.0)*mu
param$mu[,2] <- c(1.0, 1.5, 0.0, 0.5)*mu
param$mu[,3] <- c(0.5, 1.0, 1.5, 0.0)*mu
param$mu[,4] <- c(0.0, 0.5, 1.0, 1.5)*mu
param$cov <- array(0, c(P, P, ncls))
param$cov[,,1] <- matrix(c(3.0,1.0,0.5,0.25, 1.0,3.0,1.0,0.5, 0.5,1.0,3.0,1.0, 0.25,0.5,1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,2] <- matrix(c(3.0,-1.0,-0.5,-0.25, -1.0,3.0,-1.0,-0.5, -0.5,-1.0,3.0,-1.0, -0.25,-0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,3] <- matrix(c(3.0,-1.0,0.5,0.25, -1.0,3.0,-1.0,0.5, 0.5,-1.0,3.0,-1.0, 0.25,0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,4] <- matrix(c(3.0,1.0,-0.5,-0.25, 1.0,3.0,1.0,-0.5, -0.5,1.0,3.0,1.0, -0.25,-0.5,1.0,3.0),P,P) * 1.5 * sigma
param$prop <- rep(1/ncls, ncls)
set.seed(1)
Pred.4.12.25 <- Mclust.machine.pred(N, param, nboot = 100, niter = 1000, alpha = 0.05, method ='norm')
save.image('R_Result_Simulation.RData')
param$prop <- c(0.3, 0.3, 0.3, 0.1)
set.seed(1)
Pred.4.12.10 <- Mclust.machine.pred(N, param, nboot = 100, niter = 1000, alpha = 0.05, method ='norm')
save.image('R_Result_Simulation.RData')
param$prop <- c(0.32, 0.32, 0.32, 0.04)
set.seed(1)
Pred.4.12.04 <- Mclust.machine.pred(N, param, nboot = 100, niter = 1000, alpha = 0.05, method ='norm')
save.image('R_Result_Simulation.RData')
param$prop <- c(0.33, 0.33, 0.33, 0.01)
set.seed(1)
Pred.4.12.01 <- Mclust.machine.pred(N, param, nboot = 100, niter = 1000, alpha = 0.05, method ='norm')
save.image('R_Result_Simulation.RData')
mu <- 3
param$mu <- matrix(0, P, ncls) # All mean vectors are equal
param$mu[,1] <- c(1.5, 0.0, 0.5, 1.0)*mu
param$mu[,2] <- c(1.0, 1.5, 0.0, 0.5)*mu
param$mu[,3] <- c(0.5, 1.0, 1.5, 0.0)*mu
param$mu[,4] <- c(0.0, 0.5, 1.0, 1.5)*mu
param$prop <- rep(1/ncls, ncls)
set.seed(1)
Pred.3.12.25 <- Mclust.machine.pred(N, param, nboot = 100, niter = 1000, alpha = 0.05, method ='norm')
save.image('R_Result_Simulation.RData')
param$prop <- c(0.3, 0.3, 0.3, 0.1)
set.seed(1)
Pred.3.12.10 <- Mclust.machine.pred(N, param, nboot = 100, niter = 1000, alpha = 0.05, method ='norm')
save.image('R_Result_Simulation.RData')
param$prop <- c(0.32, 0.32, 0.32, 0.04)
set.seed(1)
Pred.3.12.04 <- Mclust.machine.pred(N, param, nboot = 100, niter = 1000, alpha = 0.05, method ='norm')
save.image('R_Result_Simulation.RData')
param$prop <- c(0.33, 0.33, 0.33, 0.01)
set.seed(1)
Pred.3.12.01 <- Mclust.machine.pred(N, param, nboot = 100, niter = 1000, alpha = 0.05, method ='norm')
save.image('R_Result_Simulation.RData')
mu <- 2
param$mu <- matrix(0, P, ncls) # All mean vectors are equal
param$mu[,1] <- c(1.5, 0.0, 0.5, 1.0)*mu
param$mu[,2] <- c(1.0, 1.5, 0.0, 0.5)*mu
param$mu[,3] <- c(0.5, 1.0, 1.5, 0.0)*mu
param$mu[,4] <- c(0.0, 0.5, 1.0, 1.5)*mu
param$prop <- rep(1/ncls, ncls)
set.seed(1)
Pred.2.12.25 <- Mclust.machine.pred(N, param, nboot = 100, niter = 1000, alpha = 0.05, method ='norm')
save.image('R_Result_Simulation.RData')
param$prop <- c(0.3, 0.3, 0.3, 0.1)
set.seed(1)
Pred.2.12.10 <- Mclust.machine.pred(N, param, nboot = 100, niter = 1000, alpha = 0.05, method ='norm')
save.image('R_Result_Simulation.RData')
param$prop <- c(0.32, 0.32, 0.32, 0.04)
set.seed(1)
Pred.2.12.04 <- Mclust.machine.pred(N, param, nboot = 100, niter = 1000, alpha = 0.05, method ='norm')
save.image('R_Result_Simulation.RData')
param$prop <- c(0.33, 0.33, 0.33, 0.01)
set.seed(1)
Pred.2.12.01 <- Mclust.machine.pred(N, param, nboot = 100, niter = 1000, alpha = 0.05, method ='norm')
save.image('R_Result_Simulation.RData')

	## Prediction Accuracy comparision ##

N <- 1000
P <- 4
ncls <- 4
mu <- 4
sigma <- 1.2
param <- list()
param$mu <- matrix(0, P, ncls) # All mean vectors are equal
param$mu[,1] <- c(1.5, 0.0, 0.5, 1.0)*mu
param$mu[,2] <- c(1.0, 1.5, 0.0, 0.5)*mu
param$mu[,3] <- c(0.5, 1.0, 1.5, 0.0)*mu
param$mu[,4] <- c(0.0, 0.5, 1.0, 1.5)*mu
param$cov <- array(0, c(P, P, ncls))
param$cov[,,1] <- matrix(c(3.0,1.0,0.5,0.25, 1.0,3.0,1.0,0.5, 0.5,1.0,3.0,1.0, 0.25,0.5,1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,2] <- matrix(c(3.0,-1.0,-0.5,-0.25, -1.0,3.0,-1.0,-0.5, -0.5,-1.0,3.0,-1.0, -0.25,-0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,3] <- matrix(c(3.0,-1.0,0.5,0.25, -1.0,3.0,-1.0,0.5, 0.5,-1.0,3.0,-1.0, 0.25,0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,4] <- matrix(c(3.0,1.0,-0.5,-0.25, 1.0,3.0,1.0,-0.5, -0.5,1.0,3.0,1.0, -0.25,-0.5,1.0,3.0),P,P) * 1.5 * sigma
param$prop <- c(0.33, 0.33, 0.33, 0.01)
set.seed(1)
pred.4.12s <- ODD.pred.compare(N, param, alpha = 0.05, niter = 1000)
save.image('R_Result_Simulation.RData')
sigma <- 1.2
param$cov[,,1] <- matrix(c(3.0,1.0,0.5,0.25, 1.0,3.0,1.0,0.5, 0.5,1.0,3.0,1.0, 0.25,0.5,1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,2] <- matrix(c(3.0,-1.0,-0.5,-0.25, -1.0,3.0,-1.0,-0.5, -0.5,-1.0,3.0,-1.0, -0.25,-0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,3] <- matrix(c(3.0,-1.0,0.5,0.25, -1.0,3.0,-1.0,0.5, 0.5,-1.0,3.0,-1.0, 0.25,0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,4] <- matrix(c(3.0,1.0,-0.5,-0.25, 1.0,3.0,1.0,-0.5, -0.5,1.0,3.0,1.0, -0.25,-0.5,1.0,3.0),P,P) * 1.5 * sigma
param$prop <- c(0.3, 0.3, 0.3, 0.1)
set.seed(1)
pred.4.12h <- ODD.pred.compare(N, param, alpha = 0.05, niter = 1000)
save.image('R_Result_Simulation.RData')
param$prop <- c(0.33, 0.33, 0.33, 0.01)
set.seed(1)
pred.4.12s <- ODD.pred.compare(N, param, alpha = 0.05, niter = 1000)
save.image('R_Result_Simulation.RData')
sigma <- 1.0
param$cov <- array(0, c(P, P, ncls))
param$cov[,,1] <- matrix(c(3.0,1.0,0.5,0.25, 1.0,3.0,1.0,0.5, 0.5,1.0,3.0,1.0, 0.25,0.5,1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,2] <- matrix(c(3.0,-1.0,-0.5,-0.25, -1.0,3.0,-1.0,-0.5, -0.5,-1.0,3.0,-1.0, -0.25,-0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,3] <- matrix(c(3.0,-1.0,0.5,0.25, -1.0,3.0,-1.0,0.5, 0.5,-1.0,3.0,-1.0, 0.25,0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,4] <- matrix(c(3.0,1.0,-0.5,-0.25, 1.0,3.0,1.0,-0.5, -0.5,1.0,3.0,1.0, -0.25,-0.5,1.0,3.0),P,P) * 1.5 * sigma
param$prop <- c(0.3, 0.3, 0.3, 0.1)
set.seed(1)
pred.4.10h <- ODD.pred.compare(N, param, alpha = 0.05, niter = 1000)
save.image('R_Result_Simulation.RData')
param$prop <- c(0.33, 0.33, 0.33, 0.01)
set.seed(1)
pred.4.10s <- ODD.pred.compare(N, param, alpha = 0.05, niter = 1000)
save.image('R_Result_Simulation.RData')
sigma <- 0.5
param$cov <- array(0, c(P, P, ncls))
param$cov[,,1] <- matrix(c(3.0,1.0,0.5,0.25, 1.0,3.0,1.0,0.5, 0.5,1.0,3.0,1.0, 0.25,0.5,1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,2] <- matrix(c(3.0,-1.0,-0.5,-0.25, -1.0,3.0,-1.0,-0.5, -0.5,-1.0,3.0,-1.0, -0.25,-0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,3] <- matrix(c(3.0,-1.0,0.5,0.25, -1.0,3.0,-1.0,0.5, 0.5,-1.0,3.0,-1.0, 0.25,0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,4] <- matrix(c(3.0,1.0,-0.5,-0.25, 1.0,3.0,1.0,-0.5, -0.5,1.0,3.0,1.0, -0.25,-0.5,1.0,3.0),P,P) * 1.5 * sigma
param$prop <- c(0.3, 0.3, 0.3, 0.1)
set.seed(1)
pred.4.05h <- ODD.pred.compare(N, param, alpha = 0.05, niter = 1000)
save.image('R_Result_Simulation.RData')
param$prop <- c(0.33, 0.33, 0.33, 0.01)
set.seed(1)
pred.4.05s <- ODD.pred.compare(N, param, alpha = 0.05, niter = 1000)
save.image('R_Result_Simulation.RData')
mu <- 3
sigma <- 1.2
param <- list()
param$mu <- matrix(0, P, ncls) # All mean vectors are equal
param$mu[,1] <- c(1.5, 0.0, 0.5, 1.0)*mu
param$mu[,2] <- c(1.0, 1.5, 0.0, 0.5)*mu
param$mu[,3] <- c(0.5, 1.0, 1.5, 0.0)*mu
param$mu[,4] <- c(0.0, 0.5, 1.0, 1.5)*mu
param$cov <- array(0, c(P, P, ncls))
param$cov[,,1] <- matrix(c(3.0,1.0,0.5,0.25, 1.0,3.0,1.0,0.5, 0.5,1.0,3.0,1.0, 0.25,0.5,1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,2] <- matrix(c(3.0,-1.0,-0.5,-0.25, -1.0,3.0,-1.0,-0.5, -0.5,-1.0,3.0,-1.0, -0.25,-0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,3] <- matrix(c(3.0,-1.0,0.5,0.25, -1.0,3.0,-1.0,0.5, 0.5,-1.0,3.0,-1.0, 0.25,0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,4] <- matrix(c(3.0,1.0,-0.5,-0.25, 1.0,3.0,1.0,-0.5, -0.5,1.0,3.0,1.0, -0.25,-0.5,1.0,3.0),P,P) * 1.5 * sigma
param$prop <- c(0.33, 0.33, 0.33, 0.01)
set.seed(1)
pred.3.12s <- ODD.pred.compare(N, param, alpha = 0.05, niter = 1000)
save.image('R_Result_Simulation.RData')
sigma <- 1.2
param$cov[,,1] <- matrix(c(3.0,1.0,0.5,0.25, 1.0,3.0,1.0,0.5, 0.5,1.0,3.0,1.0, 0.25,0.5,1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,2] <- matrix(c(3.0,-1.0,-0.5,-0.25, -1.0,3.0,-1.0,-0.5, -0.5,-1.0,3.0,-1.0, -0.25,-0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,3] <- matrix(c(3.0,-1.0,0.5,0.25, -1.0,3.0,-1.0,0.5, 0.5,-1.0,3.0,-1.0, 0.25,0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,4] <- matrix(c(3.0,1.0,-0.5,-0.25, 1.0,3.0,1.0,-0.5, -0.5,1.0,3.0,1.0, -0.25,-0.5,1.0,3.0),P,P) * 1.5 * sigma
param$prop <- c(0.3, 0.3, 0.3, 0.1)
set.seed(3)
pred.3.12h <- ODD.pred.compare(N, param, alpha = 0.05, niter = 1000)
save.image('R_Result_Simulation.RData')
param$prop <- c(0.33, 0.33, 0.33, 0.01)
set.seed(1)
pred.3.12s <- ODD.pred.compare(N, param, alpha = 0.05, niter = 1000)
save.image('R_Result_Simulation.RData')
sigma <- 1.0
param$cov <- array(0, c(P, P, ncls))
param$cov[,,1] <- matrix(c(3.0,1.0,0.5,0.25, 1.0,3.0,1.0,0.5, 0.5,1.0,3.0,1.0, 0.25,0.5,1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,2] <- matrix(c(3.0,-1.0,-0.5,-0.25, -1.0,3.0,-1.0,-0.5, -0.5,-1.0,3.0,-1.0, -0.25,-0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,3] <- matrix(c(3.0,-1.0,0.5,0.25, -1.0,3.0,-1.0,0.5, 0.5,-1.0,3.0,-1.0, 0.25,0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,4] <- matrix(c(3.0,1.0,-0.5,-0.25, 1.0,3.0,1.0,-0.5, -0.5,1.0,3.0,1.0, -0.25,-0.5,1.0,3.0),P,P) * 1.5 * sigma
param$prop <- c(0.3, 0.3, 0.3, 0.1)
set.seed(1)
pred.3.10h <- ODD.pred.compare(N, param, alpha = 0.05, niter = 1000)
save.image('R_Result_Simulation.RData')
param$prop <- c(0.33, 0.33, 0.33, 0.01)
set.seed(1)
pred.3.10s <- ODD.pred.compare(N, param, alpha = 0.05, niter = 1000)
save.image('R_Result_Simulation.RData')
sigma <- 0.5
param$cov <- array(0, c(P, P, ncls))
param$cov[,,1] <- matrix(c(3.0,1.0,0.5,0.25, 1.0,3.0,1.0,0.5, 0.5,1.0,3.0,1.0, 0.25,0.5,1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,2] <- matrix(c(3.0,-1.0,-0.5,-0.25, -1.0,3.0,-1.0,-0.5, -0.5,-1.0,3.0,-1.0, -0.25,-0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,3] <- matrix(c(3.0,-1.0,0.5,0.25, -1.0,3.0,-1.0,0.5, 0.5,-1.0,3.0,-1.0, 0.25,0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,4] <- matrix(c(3.0,1.0,-0.5,-0.25, 1.0,3.0,1.0,-0.5, -0.5,1.0,3.0,1.0, -0.25,-0.5,1.0,3.0),P,P) * 1.5 * sigma
param$prop <- c(0.3, 0.3, 0.3, 0.1)
set.seed(1)
pred.3.05h <- ODD.pred.compare(N, param, alpha = 0.05, niter = 1000)
save.image('R_Result_Simulation.RData')
param$prop <- c(0.33, 0.33, 0.33, 0.01)
set.seed(1)
pred.3.05s <- ODD.pred.compare(N, param, alpha = 0.05, niter = 1000)
save.image('R_Result_Simulation.RData')
mu <- 2
sigma <- 1.2
param <- list()
param$mu <- matrix(0, P, ncls) # All mean vectors are equal
param$mu[,1] <- c(1.5, 0.0, 0.5, 1.0)*mu
param$mu[,2] <- c(1.0, 1.5, 0.0, 0.5)*mu
param$mu[,3] <- c(0.5, 1.0, 1.5, 0.0)*mu
param$mu[,4] <- c(0.0, 0.5, 1.0, 1.5)*mu
param$cov <- array(0, c(P, P, ncls))
param$cov[,,1] <- matrix(c(3.0,1.0,0.5,0.25, 1.0,3.0,1.0,0.5, 0.5,1.0,3.0,1.0, 0.25,0.5,1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,2] <- matrix(c(3.0,-1.0,-0.5,-0.25, -1.0,3.0,-1.0,-0.5, -0.5,-1.0,3.0,-1.0, -0.25,-0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,3] <- matrix(c(3.0,-1.0,0.5,0.25, -1.0,3.0,-1.0,0.5, 0.5,-1.0,3.0,-1.0, 0.25,0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,4] <- matrix(c(3.0,1.0,-0.5,-0.25, 1.0,3.0,1.0,-0.5, -0.5,1.0,3.0,1.0, -0.25,-0.5,1.0,3.0),P,P) * 1.5 * sigma
param$prop <- c(0.33, 0.33, 0.33, 0.01)
set.seed(1)
pred.2.12s <- ODD.pred.compare(N, param, alpha = 0.05, niter = 1000)
save.image('R_Result_Simulation.RData')
sigma <- 1.2
param$cov[,,1] <- matrix(c(3.0,1.0,0.5,0.25, 1.0,3.0,1.0,0.5, 0.5,1.0,3.0,1.0, 0.25,0.5,1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,2] <- matrix(c(3.0,-1.0,-0.5,-0.25, -1.0,3.0,-1.0,-0.5, -0.5,-1.0,3.0,-1.0, -0.25,-0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,3] <- matrix(c(3.0,-1.0,0.5,0.25, -1.0,3.0,-1.0,0.5, 0.5,-1.0,3.0,-1.0, 0.25,0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,4] <- matrix(c(3.0,1.0,-0.5,-0.25, 1.0,3.0,1.0,-0.5, -0.5,1.0,3.0,1.0, -0.25,-0.5,1.0,3.0),P,P) * 1.5 * sigma
param$prop <- c(0.3, 0.3, 0.3, 0.1)
set.seed(3)
pred.2.12h <- ODD.pred.compare(N, param, alpha = 0.05, niter = 1000)
save.image('R_Result_Simulation.RData')
param$prop <- c(0.33, 0.33, 0.33, 0.01)
set.seed(1)
pred.2.12s <- ODD.pred.compare(N, param, alpha = 0.05, niter = 1000)
save.image('R_Result_Simulation.RData')
sigma <- 1.0
param$cov <- array(0, c(P, P, ncls))
param$cov[,,1] <- matrix(c(3.0,1.0,0.5,0.25, 1.0,3.0,1.0,0.5, 0.5,1.0,3.0,1.0, 0.25,0.5,1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,2] <- matrix(c(3.0,-1.0,-0.5,-0.25, -1.0,3.0,-1.0,-0.5, -0.5,-1.0,3.0,-1.0, -0.25,-0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,3] <- matrix(c(3.0,-1.0,0.5,0.25, -1.0,3.0,-1.0,0.5, 0.5,-1.0,3.0,-1.0, 0.25,0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,4] <- matrix(c(3.0,1.0,-0.5,-0.25, 1.0,3.0,1.0,-0.5, -0.5,1.0,3.0,1.0, -0.25,-0.5,1.0,3.0),P,P) * 1.5 * sigma
param$prop <- c(0.3, 0.3, 0.3, 0.1)
set.seed(3)
pred.2.10h <- ODD.pred.compare(N, param, alpha = 0.05, niter = 1000)
save.image('R_Result_Simulation.RData')
param$prop <- c(0.33, 0.33, 0.33, 0.01)
set.seed(1)
pred.2.10s <- ODD.pred.compare(N, param, alpha = 0.05, niter = 1000)
save.image('R_Result_Simulation.RData')
sigma <- 0.5
param$cov <- array(0, c(P, P, ncls))
param$cov[,,1] <- matrix(c(3.0,1.0,0.5,0.25, 1.0,3.0,1.0,0.5, 0.5,1.0,3.0,1.0, 0.25,0.5,1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,2] <- matrix(c(3.0,-1.0,-0.5,-0.25, -1.0,3.0,-1.0,-0.5, -0.5,-1.0,3.0,-1.0, -0.25,-0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,3] <- matrix(c(3.0,-1.0,0.5,0.25, -1.0,3.0,-1.0,0.5, 0.5,-1.0,3.0,-1.0, 0.25,0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,4] <- matrix(c(3.0,1.0,-0.5,-0.25, 1.0,3.0,1.0,-0.5, -0.5,1.0,3.0,1.0, -0.25,-0.5,1.0,3.0),P,P) * 1.5 * sigma
param$prop <- c(0.3, 0.3, 0.3, 0.1)
set.seed(1)
pred.2.05h <- ODD.pred.compare(N, param, alpha = 0.05, niter = 1000)
save.image('R_Result_Simulation.RData')
param$prop <- c(0.33, 0.33, 0.33, 0.01)
set.seed(1)
pred.2.05s <- ODD.pred.compare(N, param, alpha = 0.05, niter = 1000)
save.image('R_Result_Simulation.RData')

	## Simulation for non-normal using distance measure ##

N <- 1000
P <- 4
ncls <- 4
mu <- 4
sigma <- 1.2
param <- list()
param$mu <- matrix(0, P, ncls) # All mean vectors are equal
param$mu[,1] <- c(1.5, 0.0, 0.5, 1.0)*mu
param$mu[,2] <- c(1.0, 1.5, 0.0, 0.5)*mu
param$mu[,3] <- c(0.5, 1.0, 1.5, 0.0)*mu
param$mu[,4] <- c(0.0, 0.5, 1.0, 1.5)*mu
param$cov <- array(0, c(P, P, ncls))
param$cov[,,1] <- matrix(c(3.0,1.0,0.5,0.25, 1.0,3.0,1.0,0.5, 0.5,1.0,3.0,1.0, 0.25,0.5,1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,2] <- matrix(c(3.0,-1.0,-0.5,-0.25, -1.0,3.0,-1.0,-0.5, -0.5,-1.0,3.0,-1.0, -0.25,-0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,3] <- matrix(c(3.0,-1.0,0.5,0.25, -1.0,3.0,-1.0,0.5, 0.5,-1.0,3.0,-1.0, 0.25,0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,4] <- matrix(c(3.0,1.0,-0.5,-0.25, 1.0,3.0,1.0,-0.5, -0.5,1.0,3.0,1.0, -0.25,-0.5,1.0,3.0),P,P) * 1.5 * sigma
param$prop <- c(0.25, 0.25, 0.25, 0.25)
set.seed(1)
type1error.4.12.t5 <- ODD.TypeI.compare(N, param, alpha = 0.05, niter = 1000, data.dist = 't5')
save.image('R_Result_Simulation.RData')
set.seed(1)
type1error.4.12.t15 <- ODD.TypeI.compare(N, param, alpha = 0.05, niter = 1000, data.dist = 't15')
save.image('R_Result_Simulation.RData')
set.seed(1)
type1error.4.12.t30 <- ODD.TypeI.compare(N, param, alpha = 0.05, niter = 1000, data.dist = 't30')
save.image('R_Result_Simulation.RData')
mu <- 3
param$mu <- matrix(0, P, ncls) # All mean vectors are equal
param$mu[,1] <- c(1.5, 0.0, 0.5, 1.0)*mu
param$mu[,2] <- c(1.0, 1.5, 0.0, 0.5)*mu
param$mu[,3] <- c(0.5, 1.0, 1.5, 0.0)*mu
param$mu[,4] <- c(0.0, 0.5, 1.0, 1.5)*mu
set.seed(1)
type1error.3.12.t5 <- ODD.TypeI.compare(N, param, alpha = 0.05, niter = 400, data.dist = 't5')
save.image('R_Result_Simulation.RData')
set.seed(1)
type1error.3.12.t15 <- ODD.TypeI.compare(N, param, alpha = 0.05, niter = 400, data.dist = 't15')
save.image('R_Result_Simulation.RData')
set.seed(1)
type1error.3.12.t30 <- ODD.TypeI.compare(N, param, alpha = 0.05, niter = 400, data.dist = 't30')
save.image('R_Result_Simulation.RData')
mu <- 2
param$mu <- matrix(0, P, ncls) # All mean vectors are equal
param$mu[,1] <- c(1.5, 0.0, 0.5, 1.0)*mu
param$mu[,2] <- c(1.0, 1.5, 0.0, 0.5)*mu
param$mu[,3] <- c(0.5, 1.0, 1.5, 0.0)*mu
param$mu[,4] <- c(0.0, 0.5, 1.0, 1.5)*mu
set.seed(1)
type1error.2.12.t15 <- ODD.TypeI.compare(N, param, alpha = 0.05, niter = 400, data.dist = 't15')
save.image('R_Result_Simulation.RData')
set.seed(1)
type1error.2.12.t30 <- ODD.TypeI.compare(N, param, alpha = 0.05, niter = 400, data.dist = 't30')
save.image('R_Result_Simulation.RData')
set.seed(1)
type1error.2.12.t5 <- ODD.TypeI.compare(N, param, alpha = 0.05, niter = 400, data.dist = 't5')
save.image('R_Result_Simulation.RData')

N <- 1000
P <- 4
ncls <- 4
mu <- 4
sigma <- 1.2
param <- list()
param$mu <- matrix(0, P, ncls) # All mean vectors are equal
param$mu[,1] <- c(1.5, 0.0, 0.5, 1.0)*mu
param$mu[,2] <- c(1.0, 1.5, 0.0, 0.5)*mu
param$mu[,3] <- c(0.5, 1.0, 1.5, 0.0)*mu
param$mu[,4] <- c(0.0, 0.5, 1.0, 1.5)*mu
param$cov <- array(0, c(P, P, ncls))
param$cov[,,1] <- matrix(c(3.0,1.0,0.5,0.25, 1.0,3.0,1.0,0.5, 0.5,1.0,3.0,1.0, 0.25,0.5,1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,2] <- matrix(c(3.0,-1.0,-0.5,-0.25, -1.0,3.0,-1.0,-0.5, -0.5,-1.0,3.0,-1.0, -0.25,-0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,3] <- matrix(c(3.0,-1.0,0.5,0.25, -1.0,3.0,-1.0,0.5, 0.5,-1.0,3.0,-1.0, 0.25,0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,4] <- matrix(c(3.0,1.0,-0.5,-0.25, 1.0,3.0,1.0,-0.5, -0.5,1.0,3.0,1.0, -0.25,-0.5,1.0,3.0),P,P) * 1.5 * sigma
param$prop <- c(0.30, 0.30, 0.30, 0.10)
set.seed(1)
none.t5.4.12  <- ODD.pred.compare2(N, param, alpha = 0.05, niter = 1000, classifier = 'none', data.dist = 't5')
save.image('R_Result_Simulation.RData')
set.seed(1)
none.t15.4.12  <- ODD.pred.compare2(N, param, alpha = 0.05, niter = 1000, classifier = 'none', data.dist = 't15')
save.image('R_Result_Simulation.RData')
set.seed(1)
none.t30.4.12  <- ODD.pred.compare2(N, param, alpha = 0.05, niter = 1000, classifier = 'none', data.dist = 't30')
save.image('R_Result_Simulation.RData')

mu <- 3
param$mu <- matrix(0, P, ncls) # All mean vectors are equal
param$mu[,1] <- c(1.5, 0.0, 0.5, 1.0)*mu
param$mu[,2] <- c(1.0, 1.5, 0.0, 0.5)*mu
param$mu[,3] <- c(0.5, 1.0, 1.5, 0.0)*mu
param$mu[,4] <- c(0.0, 0.5, 1.0, 1.5)*mu
set.seed(1)
none.t5.3.12  <- ODD.pred.compare2(N, param, alpha = 0.05, niter = 1000, classifier = 'none', data.dist = 't5')
save.image('R_Result_Simulation.RData')
set.seed(1)
none.t15.3.12  <- ODD.pred.compare2(N, param, alpha = 0.05, niter = 1000, classifier = 'none', data.dist = 't15')
save.image('R_Result_Simulation.RData')
set.seed(1)
none.t30.3.12  <- ODD.pred.compare2(N, param, alpha = 0.05, niter = 1000, classifier = 'none', data.dist = 't30')
save.image('R_Result_Simulation.RData')
mu <- 2
param$mu <- matrix(0, P, ncls) # All mean vectors are equal
param$mu[,1] <- c(1.5, 0.0, 0.5, 1.0)*mu
param$mu[,2] <- c(1.0, 1.5, 0.0, 0.5)*mu
param$mu[,3] <- c(0.5, 1.0, 1.5, 0.0)*mu
param$mu[,4] <- c(0.0, 0.5, 1.0, 1.5)*mu
set.seed(1)
none.t5.2.12  <- ODD.pred.compare2(N, param, alpha = 0.05, niter = 1000, classifier = 'none', data.dist = 't5')
save.image('R_Result_Simulation.RData')
set.seed(1)
none.t15.2.12  <- ODD.pred.compare2(N, param, alpha = 0.05, niter = 1000, classifier = 'none', data.dist = 't15')
save.image('R_Result_Simulation.RData')
set.seed(1)
none.t30.2.12  <- ODD.pred.compare2(N, param, alpha = 0.05, niter = 1000, classifier = 'none', data.dist = 't30')
save.image('R_Result_Simulation.RData')

  ##################################################
  ## When K is unspecified and determined via BIC ##
  ##################################################

N <- 1000
P <- 4
ncls <- 4 # TRUE cluster number
niter <- 1000
mu <- 4
sigma <- 1.2
param <- list()
param$mu <- matrix(0, P, ncls) # All mean vectors are equal
param$mu[,1] <- c(1.5, 0.0, 0.5, 1.0)*mu
param$mu[,2] <- c(1.0, 1.5, 0.0, 0.5)*mu
param$mu[,3] <- c(0.5, 1.0, 1.5, 0.0)*mu
param$mu[,4] <- c(0.0, 0.5, 1.0, 1.5)*mu
param$cov <- array(0, c(P, P, ncls))
param$cov[,,1] <- matrix(c(3.0,1.0,0.5,0.25, 1.0,3.0,1.0,0.5, 0.5,1.0,3.0,1.0, 0.25,0.5,1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,2] <- matrix(c(3.0,-1.0,-0.5,-0.25, -1.0,3.0,-1.0,-0.5, -0.5,-1.0,3.0,-1.0, -0.25,-0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,3] <- matrix(c(3.0,-1.0,0.5,0.25, -1.0,3.0,-1.0,0.5, 0.5,-1.0,3.0,-1.0, 0.25,0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,4] <- matrix(c(3.0,1.0,-0.5,-0.25, 1.0,3.0,1.0,-0.5, -0.5,1.0,3.0,1.0, -0.25,-0.5,1.0,3.0),P,P) * 1.5 * sigma
param$prop <- rep(1/ncls,ncls)
set.seed(1)
Type.I.4.12.unspecified <- ODD.TypeI.compare.unspecified(N, param, alpha = 0.05, niter = 1000)
save.image('R_Result_Simulation.RData')

sigma <- 1.0
param$cov <- array(0, c(P, P, ncls))
param$cov[,,1] <- matrix(c(3.0,1.0,0.5,0.25, 1.0,3.0,1.0,0.5, 0.5,1.0,3.0,1.0, 0.25,0.5,1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,2] <- matrix(c(3.0,-1.0,-0.5,-0.25, -1.0,3.0,-1.0,-0.5, -0.5,-1.0,3.0,-1.0, -0.25,-0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,3] <- matrix(c(3.0,-1.0,0.5,0.25, -1.0,3.0,-1.0,0.5, 0.5,-1.0,3.0,-1.0, 0.25,0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,4] <- matrix(c(3.0,1.0,-0.5,-0.25, 1.0,3.0,1.0,-0.5, -0.5,1.0,3.0,1.0, -0.25,-0.5,1.0,3.0),P,P) * 1.5 * sigma
param$prop <- rep(1/ncls,ncls)
set.seed(1)
Type.I.4.10.unspecified <- ODD.TypeI.compare.unspecified(N, param, alpha = 0.05, niter = 1000)
save.image('R_Result_Simulation.RData')

sigma <- 0.5
param <- list()
param$mu <- matrix(0, P, ncls) # All mean vectors are equal
param$mu[,1] <- c(1.5, 0.0, 0.5, 1.0)*mu
param$mu[,2] <- c(1.0, 1.5, 0.0, 0.5)*mu
param$mu[,3] <- c(0.5, 1.0, 1.5, 0.0)*mu
param$mu[,4] <- c(0.0, 0.5, 1.0, 1.5)*mu
param$cov <- array(0, c(P, P, ncls))
param$cov[,,1] <- matrix(c(3.0,1.0,0.5,0.25, 1.0,3.0,1.0,0.5, 0.5,1.0,3.0,1.0, 0.25,0.5,1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,2] <- matrix(c(3.0,-1.0,-0.5,-0.25, -1.0,3.0,-1.0,-0.5, -0.5,-1.0,3.0,-1.0, -0.25,-0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,3] <- matrix(c(3.0,-1.0,0.5,0.25, -1.0,3.0,-1.0,0.5, 0.5,-1.0,3.0,-1.0, 0.25,0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,4] <- matrix(c(3.0,1.0,-0.5,-0.25, 1.0,3.0,1.0,-0.5, -0.5,1.0,3.0,1.0, -0.25,-0.5,1.0,3.0),P,P) * 1.5 * sigma
param$prop <- rep(1/ncls,ncls)
set.seed(1)
Type.I.4.05.unspecified <- ODD.TypeI.compare.unspecified(N, param, alpha = 0.05, niter = 1000)
save.image('R_Result_Simulation.RData')

N <- 1000
P <- 4
ncls <- 4 # TRUE cluster number
niter <- 1000
mu <- 3
sigma <- 1.2
param <- list()
param$mu <- matrix(0, P, ncls) # All mean vectors are equal
param$mu[,1] <- c(1.5, 0.0, 0.5, 1.0)*mu
param$mu[,2] <- c(1.0, 1.5, 0.0, 0.5)*mu
param$mu[,3] <- c(0.5, 1.0, 1.5, 0.0)*mu
param$mu[,4] <- c(0.0, 0.5, 1.0, 1.5)*mu
param$cov <- array(0, c(P, P, ncls))
param$cov[,,1] <- matrix(c(3.0,1.0,0.5,0.25, 1.0,3.0,1.0,0.5, 0.5,1.0,3.0,1.0, 0.25,0.5,1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,2] <- matrix(c(3.0,-1.0,-0.5,-0.25, -1.0,3.0,-1.0,-0.5, -0.5,-1.0,3.0,-1.0, -0.25,-0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,3] <- matrix(c(3.0,-1.0,0.5,0.25, -1.0,3.0,-1.0,0.5, 0.5,-1.0,3.0,-1.0, 0.25,0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,4] <- matrix(c(3.0,1.0,-0.5,-0.25, 1.0,3.0,1.0,-0.5, -0.5,1.0,3.0,1.0, -0.25,-0.5,1.0,3.0),P,P) * 1.5 * sigma
param$prop <- rep(1/ncls,ncls)
set.seed(1)
Type.I.3.12.unspecified <- ODD.TypeI.compare.unspecified(N, param, alpha = 0.05, niter = 1000)
save.image('R_Result_Simulation.RData')

sigma <- 1.0
param$cov <- array(0, c(P, P, ncls))
param$cov[,,1] <- matrix(c(3.0,1.0,0.5,0.25, 1.0,3.0,1.0,0.5, 0.5,1.0,3.0,1.0, 0.25,0.5,1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,2] <- matrix(c(3.0,-1.0,-0.5,-0.25, -1.0,3.0,-1.0,-0.5, -0.5,-1.0,3.0,-1.0, -0.25,-0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,3] <- matrix(c(3.0,-1.0,0.5,0.25, -1.0,3.0,-1.0,0.5, 0.5,-1.0,3.0,-1.0, 0.25,0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,4] <- matrix(c(3.0,1.0,-0.5,-0.25, 1.0,3.0,1.0,-0.5, -0.5,1.0,3.0,1.0, -0.25,-0.5,1.0,3.0),P,P) * 1.5 * sigma
param$prop <- rep(1/ncls,ncls)
set.seed(1)
Type.I.3.10.unspecified <- ODD.TypeI.compare.unspecified(N, param, alpha = 0.05, niter = 1000)
save.image('R_Result_Simulation.RData')

sigma <- 0.5
param$cov <- array(0, c(P, P, ncls))
param$cov[,,1] <- matrix(c(3.0,1.0,0.5,0.25, 1.0,3.0,1.0,0.5, 0.5,1.0,3.0,1.0, 0.25,0.5,1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,2] <- matrix(c(3.0,-1.0,-0.5,-0.25, -1.0,3.0,-1.0,-0.5, -0.5,-1.0,3.0,-1.0, -0.25,-0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,3] <- matrix(c(3.0,-1.0,0.5,0.25, -1.0,3.0,-1.0,0.5, 0.5,-1.0,3.0,-1.0, 0.25,0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,4] <- matrix(c(3.0,1.0,-0.5,-0.25, 1.0,3.0,1.0,-0.5, -0.5,1.0,3.0,1.0, -0.25,-0.5,1.0,3.0),P,P) * 1.5 * sigma
set.seed(1)
Type.I.3.05.unspecified <- ODD.TypeI.compare.unspecified(N, param, alpha = 0.05, niter = 1000)
save.image('R_Result_Simulation.RData')

N <- 1000
P <- 4
ncls <- 4 # TRUE cluster number
niter <- 1000
mu <- 2
sigma <- 1.2
param <- list()
param$mu <- matrix(0, P, ncls) # All mean vectors are equal
param$mu[,1] <- c(1.5, 0.0, 0.5, 1.0)*mu
param$mu[,2] <- c(1.0, 1.5, 0.0, 0.5)*mu
param$mu[,3] <- c(0.5, 1.0, 1.5, 0.0)*mu
param$mu[,4] <- c(0.0, 0.5, 1.0, 1.5)*mu
param$cov <- array(0, c(P, P, ncls))
param$cov[,,1] <- matrix(c(3.0,1.0,0.5,0.25, 1.0,3.0,1.0,0.5, 0.5,1.0,3.0,1.0, 0.25,0.5,1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,2] <- matrix(c(3.0,-1.0,-0.5,-0.25, -1.0,3.0,-1.0,-0.5, -0.5,-1.0,3.0,-1.0, -0.25,-0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,3] <- matrix(c(3.0,-1.0,0.5,0.25, -1.0,3.0,-1.0,0.5, 0.5,-1.0,3.0,-1.0, 0.25,0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,4] <- matrix(c(3.0,1.0,-0.5,-0.25, 1.0,3.0,1.0,-0.5, -0.5,1.0,3.0,1.0, -0.25,-0.5,1.0,3.0),P,P) * 1.5 * sigma
param$prop <- rep(1/ncls,ncls)
set.seed(1)
Type.I.2.12.unspecified <- ODD.TypeI.compare.unspecified(N, param, alpha = 0.05, niter = 1000)
save.image('R_Result_Simulation.RData')

sigma <- 1.0
param$cov <- array(0, c(P, P, ncls))
param$cov[,,1] <- matrix(c(3.0,1.0,0.5,0.25, 1.0,3.0,1.0,0.5, 0.5,1.0,3.0,1.0, 0.25,0.5,1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,2] <- matrix(c(3.0,-1.0,-0.5,-0.25, -1.0,3.0,-1.0,-0.5, -0.5,-1.0,3.0,-1.0, -0.25,-0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,3] <- matrix(c(3.0,-1.0,0.5,0.25, -1.0,3.0,-1.0,0.5, 0.5,-1.0,3.0,-1.0, 0.25,0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,4] <- matrix(c(3.0,1.0,-0.5,-0.25, 1.0,3.0,1.0,-0.5, -0.5,1.0,3.0,1.0, -0.25,-0.5,1.0,3.0),P,P) * 1.5 * sigma
param$prop <- rep(1/ncls,ncls)
set.seed(1)
Type.I.2.10.unspecified <- ODD.TypeI.compare.unspecified(N, param, alpha = 0.05, niter = 1000)
save.image('R_Result_Simulation.RData')

sigma <- 1.2
param <- list()
param$mu <- matrix(0, P, ncls) # All mean vectors are equal
param$mu[,1] <- c(1.5, 0.0, 0.5, 1.0)*mu
param$mu[,2] <- c(1.0, 1.5, 0.0, 0.5)*mu
param$mu[,3] <- c(0.5, 1.0, 1.5, 0.0)*mu
param$mu[,4] <- c(0.0, 0.5, 1.0, 1.5)*mu
param$cov <- array(0, c(P, P, ncls))
param$cov[,,1] <- matrix(c(3.0,1.0,0.5,0.25, 1.0,3.0,1.0,0.5, 0.5,1.0,3.0,1.0, 0.25,0.5,1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,2] <- matrix(c(3.0,-1.0,-0.5,-0.25, -1.0,3.0,-1.0,-0.5, -0.5,-1.0,3.0,-1.0, -0.25,-0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,3] <- matrix(c(3.0,-1.0,0.5,0.25, -1.0,3.0,-1.0,0.5, 0.5,-1.0,3.0,-1.0, 0.25,0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,4] <- matrix(c(3.0,1.0,-0.5,-0.25, 1.0,3.0,1.0,-0.5, -0.5,1.0,3.0,1.0, -0.25,-0.5,1.0,3.0),P,P) * 1.5 * sigma
param$prop <- rep(1/ncls,ncls)
set.seed(1)
Type.I.2.05.unspecified <- ODD.TypeI.compare.unspecified(N, param, alpha = 0.05, niter = 1000)
save.image('R_Result_Simulation.RData')

N <- 1000
P <- 4
ncls <- 4
niter <- 1000
mu <- 4
sigma <- 1.2
param <- list()
param$mu <- matrix(0, P, ncls) # All mean vectors are equal
param$mu[,1] <- c(1.5, 0.0, 0.5, 1.0)*mu
param$mu[,2] <- c(1.0, 1.5, 0.0, 0.5)*mu
param$mu[,3] <- c(0.5, 1.0, 1.5, 0.0)*mu
param$mu[,4] <- c(0.0, 0.5, 1.0, 1.5)*mu
param$cov <- array(0, c(P, P, ncls))
param$cov[,,1] <- matrix(c(3.0,1.0,0.5,0.25, 1.0,3.0,1.0,0.5, 0.5,1.0,3.0,1.0, 0.25,0.5,1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,2] <- matrix(c(3.0,-1.0,-0.5,-0.25, -1.0,3.0,-1.0,-0.5, -0.5,-1.0,3.0,-1.0, -0.25,-0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,3] <- matrix(c(3.0,-1.0,0.5,0.25, -1.0,3.0,-1.0,0.5, 0.5,-1.0,3.0,-1.0, 0.25,0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,4] <- matrix(c(3.0,1.0,-0.5,-0.25, 1.0,3.0,1.0,-0.5, -0.5,1.0,3.0,1.0, -0.25,-0.5,1.0,3.0),P,P) * 1.5 * sigma
param$prop <- rep(1/ncls,ncls)
set.seed(1)
Power.4.12.unspecified <- ODD.Power.compare.unspecified(N, param, alpha = 0.05, niter = 1000)
save.image('R_Result_Simulation.RData')

sigma <- 1.0
param$cov <- array(0, c(P, P, ncls))
param$cov[,,1] <- matrix(c(3.0,1.0,0.5,0.25, 1.0,3.0,1.0,0.5, 0.5,1.0,3.0,1.0, 0.25,0.5,1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,2] <- matrix(c(3.0,-1.0,-0.5,-0.25, -1.0,3.0,-1.0,-0.5, -0.5,-1.0,3.0,-1.0, -0.25,-0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,3] <- matrix(c(3.0,-1.0,0.5,0.25, -1.0,3.0,-1.0,0.5, 0.5,-1.0,3.0,-1.0, 0.25,0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,4] <- matrix(c(3.0,1.0,-0.5,-0.25, 1.0,3.0,1.0,-0.5, -0.5,1.0,3.0,1.0, -0.25,-0.5,1.0,3.0),P,P) * 1.5 * sigma
param$prop <- rep(1/ncls,ncls)
set.seed(1)
Power.4.10.unspecified <- ODD.Power.compare.unspecified(N, param, alpha = 0.05, niter = 1000)
save.image('R_Result_Simulation.RData')

sigma <- 0.5
param$cov <- array(0, c(P, P, ncls))
param$cov[,,1] <- matrix(c(3.0,1.0,0.5,0.25, 1.0,3.0,1.0,0.5, 0.5,1.0,3.0,1.0, 0.25,0.5,1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,2] <- matrix(c(3.0,-1.0,-0.5,-0.25, -1.0,3.0,-1.0,-0.5, -0.5,-1.0,3.0,-1.0, -0.25,-0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,3] <- matrix(c(3.0,-1.0,0.5,0.25, -1.0,3.0,-1.0,0.5, 0.5,-1.0,3.0,-1.0, 0.25,0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,4] <- matrix(c(3.0,1.0,-0.5,-0.25, 1.0,3.0,1.0,-0.5, -0.5,1.0,3.0,1.0, -0.25,-0.5,1.0,3.0),P,P) * 1.5 * sigma
param$prop <- rep(1/ncls,ncls)
set.seed(2)
Power.4.05.unspecified <- ODD.Power.compare.unspecified(N, param, alpha = 0.05, niter = 1000)
save.image('R_Result_Simulation.RData')

N <- 1000
P <- 4
ncls <- 4
niter <- 1000
mu <- 3
sigma <- 1.2
param <- list()
param$mu <- matrix(0, P, ncls) # All mean vectors are equal
param$mu[,1] <- c(1.5, 0.0, 0.5, 1.0)*mu
param$mu[,2] <- c(1.0, 1.5, 0.0, 0.5)*mu
param$mu[,3] <- c(0.5, 1.0, 1.5, 0.0)*mu
param$mu[,4] <- c(0.0, 0.5, 1.0, 1.5)*mu
param$cov <- array(0, c(P, P, ncls))
param$cov[,,1] <- matrix(c(3.0,1.0,0.5,0.25, 1.0,3.0,1.0,0.5, 0.5,1.0,3.0,1.0, 0.25,0.5,1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,2] <- matrix(c(3.0,-1.0,-0.5,-0.25, -1.0,3.0,-1.0,-0.5, -0.5,-1.0,3.0,-1.0, -0.25,-0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,3] <- matrix(c(3.0,-1.0,0.5,0.25, -1.0,3.0,-1.0,0.5, 0.5,-1.0,3.0,-1.0, 0.25,0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,4] <- matrix(c(3.0,1.0,-0.5,-0.25, 1.0,3.0,1.0,-0.5, -0.5,1.0,3.0,1.0, -0.25,-0.5,1.0,3.0),P,P) * 1.5 * sigma
param$prop <- rep(1/ncls,ncls)
set.seed(1)
Power.3.12.unspecified <- ODD.Power.compare.unspecified(N, param, alpha = 0.05, niter = 1000)
save.image('R_Result_Simulation.RData')

sigma <- 1.0
param$cov <- array(0, c(P, P, ncls))
param$cov[,,1] <- matrix(c(3.0,1.0,0.5,0.25, 1.0,3.0,1.0,0.5, 0.5,1.0,3.0,1.0, 0.25,0.5,1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,2] <- matrix(c(3.0,-1.0,-0.5,-0.25, -1.0,3.0,-1.0,-0.5, -0.5,-1.0,3.0,-1.0, -0.25,-0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,3] <- matrix(c(3.0,-1.0,0.5,0.25, -1.0,3.0,-1.0,0.5, 0.5,-1.0,3.0,-1.0, 0.25,0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,4] <- matrix(c(3.0,1.0,-0.5,-0.25, 1.0,3.0,1.0,-0.5, -0.5,1.0,3.0,1.0, -0.25,-0.5,1.0,3.0),P,P) * 1.5 * sigma
param$prop <- rep(1/ncls,ncls)
set.seed(1)
Power.3.10.unspecified <- ODD.Power.compare.unspecified(N, param, alpha = 0.05, niter = 1000)
save.image('R_Result_Simulation.RData')

sigma <- 0.5
param$cov <- array(0, c(P, P, ncls))
param$cov[,,1] <- matrix(c(3.0,1.0,0.5,0.25, 1.0,3.0,1.0,0.5, 0.5,1.0,3.0,1.0, 0.25,0.5,1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,2] <- matrix(c(3.0,-1.0,-0.5,-0.25, -1.0,3.0,-1.0,-0.5, -0.5,-1.0,3.0,-1.0, -0.25,-0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,3] <- matrix(c(3.0,-1.0,0.5,0.25, -1.0,3.0,-1.0,0.5, 0.5,-1.0,3.0,-1.0, 0.25,0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,4] <- matrix(c(3.0,1.0,-0.5,-0.25, 1.0,3.0,1.0,-0.5, -0.5,1.0,3.0,1.0, -0.25,-0.5,1.0,3.0),P,P) * 1.5 * sigma
param$prop <- rep(1/ncls,ncls)
set.seed(1)
Power.3.05.unspecified <- ODD.Power.compare.unspecified(N, param, alpha = 0.05, niter = 1000)
save.image('R_Result_Simulation.RData')

N <- 1000
P <- 4
ncls <- 4
niter <- 1000
mu <- 2
sigma <- 1.2
param <- list()
param$mu <- matrix(0, P, ncls) # All mean vectors are equal
param$mu[,1] <- c(1.5, 0.0, 0.5, 1.0)*mu
param$mu[,2] <- c(1.0, 1.5, 0.0, 0.5)*mu
param$mu[,3] <- c(0.5, 1.0, 1.5, 0.0)*mu
param$mu[,4] <- c(0.0, 0.5, 1.0, 1.5)*mu
param$cov <- array(0, c(P, P, ncls))
param$cov[,,1] <- matrix(c(3.0,1.0,0.5,0.25, 1.0,3.0,1.0,0.5, 0.5,1.0,3.0,1.0, 0.25,0.5,1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,2] <- matrix(c(3.0,-1.0,-0.5,-0.25, -1.0,3.0,-1.0,-0.5, -0.5,-1.0,3.0,-1.0, -0.25,-0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,3] <- matrix(c(3.0,-1.0,0.5,0.25, -1.0,3.0,-1.0,0.5, 0.5,-1.0,3.0,-1.0, 0.25,0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,4] <- matrix(c(3.0,1.0,-0.5,-0.25, 1.0,3.0,1.0,-0.5, -0.5,1.0,3.0,1.0, -0.25,-0.5,1.0,3.0),P,P) * 1.5 * sigma
param$prop <- rep(1/ncls,ncls)
set.seed(1)
Power.2.12.unspecified <- ODD.Power.compare.unspecified(N, param, alpha = 0.05, niter = 1000)
save.image('R_Result_Simulation.RData')

sigma <- 1.0
param$cov <- array(0, c(P, P, ncls))
param$cov[,,1] <- matrix(c(3.0,1.0,0.5,0.25, 1.0,3.0,1.0,0.5, 0.5,1.0,3.0,1.0, 0.25,0.5,1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,2] <- matrix(c(3.0,-1.0,-0.5,-0.25, -1.0,3.0,-1.0,-0.5, -0.5,-1.0,3.0,-1.0, -0.25,-0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,3] <- matrix(c(3.0,-1.0,0.5,0.25, -1.0,3.0,-1.0,0.5, 0.5,-1.0,3.0,-1.0, 0.25,0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,4] <- matrix(c(3.0,1.0,-0.5,-0.25, 1.0,3.0,1.0,-0.5, -0.5,1.0,3.0,1.0, -0.25,-0.5,1.0,3.0),P,P) * 1.5 * sigma
param$prop <- rep(1/ncls,ncls)
set.seed(1)
Power.2.10.unspecified <- ODD.Power.compare.unspecified(N, param, alpha = 0.05, niter = 1000)
save.image('R_Result_Simulation.RData')

sigma <- 0.5
param$cov <- array(0, c(P, P, ncls))
param$cov[,,1] <- matrix(c(3.0,1.0,0.5,0.25, 1.0,3.0,1.0,0.5, 0.5,1.0,3.0,1.0, 0.25,0.5,1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,2] <- matrix(c(3.0,-1.0,-0.5,-0.25, -1.0,3.0,-1.0,-0.5, -0.5,-1.0,3.0,-1.0, -0.25,-0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,3] <- matrix(c(3.0,-1.0,0.5,0.25, -1.0,3.0,-1.0,0.5, 0.5,-1.0,3.0,-1.0, 0.25,0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,4] <- matrix(c(3.0,1.0,-0.5,-0.25, 1.0,3.0,1.0,-0.5, -0.5,1.0,3.0,1.0, -0.25,-0.5,1.0,3.0),P,P) * 1.5 * sigma
param$prop <- rep(1/ncls,ncls)
set.seed(1)
Power.2.05.unspecified <- ODD.Power.compare.unspecified(N, param, alpha = 0.05, niter = 1000)
save.image('R_Result_Simulation.RData')


P <- 4
ncls <- 4
mu <- 4
sigma <- 0.5
param <- list()
param$mu <- matrix(0, P, ncls) # All mean vectors are equal
param$mu[,1] <- c(1.5, 0.0, 0.5, 1.0)*mu
param$mu[,2] <- c(1.0, 1.5, 0.0, 0.5)*mu
param$mu[,3] <- c(0.5, 1.0, 1.5, 0.0)*mu
param$mu[,4] <- c(0.0, 0.5, 1.0, 1.5)*mu
param$cov <- array(0, c(P, P, ncls))
param$cov[,,1] <- matrix(c(3.0,1.0,0.5,0.25, 1.0,3.0,1.0,0.5, 0.5,1.0,3.0,1.0, 0.25,0.5,1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,2] <- matrix(c(3.0,-1.0,-0.5,-0.25, -1.0,3.0,-1.0,-0.5, -0.5,-1.0,3.0,-1.0, -0.25,-0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,3] <- matrix(c(3.0,-1.0,0.5,0.25, -1.0,3.0,-1.0,0.5, 0.5,-1.0,3.0,-1.0, 0.25,0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,4] <- matrix(c(3.0,1.0,-0.5,-0.25, 1.0,3.0,1.0,-0.5, -0.5,1.0,3.0,1.0, -0.25,-0.5,1.0,3.0),P,P) * 1.5 * sigma
param$prop <- c(0.3, 0.3, 0.3, 0.1)
set.seed(1)
pred.4.05h.unspecified <- ODD.pred.compare.unspecified(N, param, alpha = 0.05, niter = 1000)
save.image('R_Result_Simulation.RData')

P <- 4
ncls <- 4
mu <- 4
sigma <- 1.0
param <- list()
param$mu <- matrix(0, P, ncls) # All mean vectors are equal
param$mu[,1] <- c(1.5, 0.0, 0.5, 1.0)*mu
param$mu[,2] <- c(1.0, 1.5, 0.0, 0.5)*mu
param$mu[,3] <- c(0.5, 1.0, 1.5, 0.0)*mu
param$mu[,4] <- c(0.0, 0.5, 1.0, 1.5)*mu
param$cov <- array(0, c(P, P, ncls))
param$cov[,,1] <- matrix(c(3.0,1.0,0.5,0.25, 1.0,3.0,1.0,0.5, 0.5,1.0,3.0,1.0, 0.25,0.5,1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,2] <- matrix(c(3.0,-1.0,-0.5,-0.25, -1.0,3.0,-1.0,-0.5, -0.5,-1.0,3.0,-1.0, -0.25,-0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,3] <- matrix(c(3.0,-1.0,0.5,0.25, -1.0,3.0,-1.0,0.5, 0.5,-1.0,3.0,-1.0, 0.25,0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,4] <- matrix(c(3.0,1.0,-0.5,-0.25, 1.0,3.0,1.0,-0.5, -0.5,1.0,3.0,1.0, -0.25,-0.5,1.0,3.0),P,P) * 1.5 * sigma
param$prop <- c(0.3, 0.3, 0.3, 0.1)
set.seed(1)
pred.4.10h.unspecified <- ODD.pred.compare.unspecified(N, param, alpha = 0.05, niter = 1000)
save.image('R_Result_Simulation.RData')

P <- 4
ncls <- 4
mu <- 4
sigma <- 1.2
param <- list()
param$mu <- matrix(0, P, ncls) # All mean vectors are equal
param$mu[,1] <- c(1.5, 0.0, 0.5, 1.0)*mu
param$mu[,2] <- c(1.0, 1.5, 0.0, 0.5)*mu
param$mu[,3] <- c(0.5, 1.0, 1.5, 0.0)*mu
param$mu[,4] <- c(0.0, 0.5, 1.0, 1.5)*mu
param$cov <- array(0, c(P, P, ncls))
param$cov[,,1] <- matrix(c(3.0,1.0,0.5,0.25, 1.0,3.0,1.0,0.5, 0.5,1.0,3.0,1.0, 0.25,0.5,1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,2] <- matrix(c(3.0,-1.0,-0.5,-0.25, -1.0,3.0,-1.0,-0.5, -0.5,-1.0,3.0,-1.0, -0.25,-0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,3] <- matrix(c(3.0,-1.0,0.5,0.25, -1.0,3.0,-1.0,0.5, 0.5,-1.0,3.0,-1.0, 0.25,0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,4] <- matrix(c(3.0,1.0,-0.5,-0.25, 1.0,3.0,1.0,-0.5, -0.5,1.0,3.0,1.0, -0.25,-0.5,1.0,3.0),P,P) * 1.5 * sigma
param$prop <- c(0.3, 0.3, 0.3, 0.1)
set.seed(1)
pred.4.12h.unspecified <- ODD.pred.compare.unspecified(N, param, alpha = 0.05, niter = 1000)
save.image('R_Result_Simulation.RData')

N <- 1000
P <- 4
ncls <- 4
mu <- 3
sigma <- 0.5
param <- list()
param$mu <- matrix(0, P, ncls) # All mean vectors are equal
param$mu[,1] <- c(1.5, 0.0, 0.5, 1.0)*mu
param$mu[,2] <- c(1.0, 1.5, 0.0, 0.5)*mu
param$mu[,3] <- c(0.5, 1.0, 1.5, 0.0)*mu
param$mu[,4] <- c(0.0, 0.5, 1.0, 1.5)*mu
param$cov <- array(0, c(P, P, ncls))
param$cov[,,1] <- matrix(c(3.0,1.0,0.5,0.25, 1.0,3.0,1.0,0.5, 0.5,1.0,3.0,1.0, 0.25,0.5,1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,2] <- matrix(c(3.0,-1.0,-0.5,-0.25, -1.0,3.0,-1.0,-0.5, -0.5,-1.0,3.0,-1.0, -0.25,-0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,3] <- matrix(c(3.0,-1.0,0.5,0.25, -1.0,3.0,-1.0,0.5, 0.5,-1.0,3.0,-1.0, 0.25,0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,4] <- matrix(c(3.0,1.0,-0.5,-0.25, 1.0,3.0,1.0,-0.5, -0.5,1.0,3.0,1.0, -0.25,-0.5,1.0,3.0),P,P) * 1.5 * sigma
param$prop <- c(0.3, 0.3, 0.3, 0.1)
set.seed(1)
pred.3.05h.unspecified <- ODD.pred.compare.unspecified(N, param, alpha = 0.05, niter = 1000)
save.image('R_Result_Simulation.RData')

N <- 1000
P <- 4
ncls <- 4
mu <- 3
sigma <- 1.0
param <- list()
param$mu <- matrix(0, P, ncls) # All mean vectors are equal
param$mu[,1] <- c(1.5, 0.0, 0.5, 1.0)*mu
param$mu[,2] <- c(1.0, 1.5, 0.0, 0.5)*mu
param$mu[,3] <- c(0.5, 1.0, 1.5, 0.0)*mu
param$mu[,4] <- c(0.0, 0.5, 1.0, 1.5)*mu
param$cov <- array(0, c(P, P, ncls))
param$cov[,,1] <- matrix(c(3.0,1.0,0.5,0.25, 1.0,3.0,1.0,0.5, 0.5,1.0,3.0,1.0, 0.25,0.5,1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,2] <- matrix(c(3.0,-1.0,-0.5,-0.25, -1.0,3.0,-1.0,-0.5, -0.5,-1.0,3.0,-1.0, -0.25,-0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,3] <- matrix(c(3.0,-1.0,0.5,0.25, -1.0,3.0,-1.0,0.5, 0.5,-1.0,3.0,-1.0, 0.25,0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,4] <- matrix(c(3.0,1.0,-0.5,-0.25, 1.0,3.0,1.0,-0.5, -0.5,1.0,3.0,1.0, -0.25,-0.5,1.0,3.0),P,P) * 1.5 * sigma
param$prop <- c(0.3, 0.3, 0.3, 0.1)
set.seed(1)
pred.3.10h.unspecified <- ODD.pred.compare.unspecified(N, param, alpha = 0.05, niter = 1000)
save.image('R_Result_Simulation.RData')

N <- 1000
P <- 4
ncls <- 4
mu <- 3
sigma <- 1.2
param <- list()
param$mu <- matrix(0, P, ncls) # All mean vectors are equal
param$mu[,1] <- c(1.5, 0.0, 0.5, 1.0)*mu
param$mu[,2] <- c(1.0, 1.5, 0.0, 0.5)*mu
param$mu[,3] <- c(0.5, 1.0, 1.5, 0.0)*mu
param$mu[,4] <- c(0.0, 0.5, 1.0, 1.5)*mu
param$cov <- array(0, c(P, P, ncls))
param$cov[,,1] <- matrix(c(3.0,1.0,0.5,0.25, 1.0,3.0,1.0,0.5, 0.5,1.0,3.0,1.0, 0.25,0.5,1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,2] <- matrix(c(3.0,-1.0,-0.5,-0.25, -1.0,3.0,-1.0,-0.5, -0.5,-1.0,3.0,-1.0, -0.25,-0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,3] <- matrix(c(3.0,-1.0,0.5,0.25, -1.0,3.0,-1.0,0.5, 0.5,-1.0,3.0,-1.0, 0.25,0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,4] <- matrix(c(3.0,1.0,-0.5,-0.25, 1.0,3.0,1.0,-0.5, -0.5,1.0,3.0,1.0, -0.25,-0.5,1.0,3.0),P,P) * 1.5 * sigma
param$prop <- c(0.3, 0.3, 0.3, 0.1)
set.seed(1)
pred.3.12h.unspecified <- ODD.pred.compare.unspecified(N, param, alpha = 0.05, niter = 1000)
save.image('R_Result_Simulation.RData')

N <- 1000
P <- 4
ncls <- 4
mu <- 2
sigma <- 0.5
param <- list()
param$mu <- matrix(0, P, ncls) # All mean vectors are equal
param$mu[,1] <- c(1.5, 0.0, 0.5, 1.0)*mu
param$mu[,2] <- c(1.0, 1.5, 0.0, 0.5)*mu
param$mu[,3] <- c(0.5, 1.0, 1.5, 0.0)*mu
param$mu[,4] <- c(0.0, 0.5, 1.0, 1.5)*mu
param$cov <- array(0, c(P, P, ncls))
param$cov[,,1] <- matrix(c(3.0,1.0,0.5,0.25, 1.0,3.0,1.0,0.5, 0.5,1.0,3.0,1.0, 0.25,0.5,1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,2] <- matrix(c(3.0,-1.0,-0.5,-0.25, -1.0,3.0,-1.0,-0.5, -0.5,-1.0,3.0,-1.0, -0.25,-0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,3] <- matrix(c(3.0,-1.0,0.5,0.25, -1.0,3.0,-1.0,0.5, 0.5,-1.0,3.0,-1.0, 0.25,0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,4] <- matrix(c(3.0,1.0,-0.5,-0.25, 1.0,3.0,1.0,-0.5, -0.5,1.0,3.0,1.0, -0.25,-0.5,1.0,3.0),P,P) * 1.5 * sigma
param$prop <- c(0.3, 0.3, 0.3, 0.1)
set.seed(1)
pred.2.05h.unspecified <- ODD.pred.compare.unspecified(N, param, alpha = 0.05, niter = 1000)
save.image('R_Result_Simulation.RData')

N <- 1000
P <- 4
ncls <- 4
mu <- 2
sigma <- 1.0
param <- list()
param$mu <- matrix(0, P, ncls) # All mean vectors are equal
param$mu[,1] <- c(1.5, 0.0, 0.5, 1.0)*mu
param$mu[,2] <- c(1.0, 1.5, 0.0, 0.5)*mu
param$mu[,3] <- c(0.5, 1.0, 1.5, 0.0)*mu
param$mu[,4] <- c(0.0, 0.5, 1.0, 1.5)*mu
param$cov <- array(0, c(P, P, ncls))
param$cov[,,1] <- matrix(c(3.0,1.0,0.5,0.25, 1.0,3.0,1.0,0.5, 0.5,1.0,3.0,1.0, 0.25,0.5,1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,2] <- matrix(c(3.0,-1.0,-0.5,-0.25, -1.0,3.0,-1.0,-0.5, -0.5,-1.0,3.0,-1.0, -0.25,-0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,3] <- matrix(c(3.0,-1.0,0.5,0.25, -1.0,3.0,-1.0,0.5, 0.5,-1.0,3.0,-1.0, 0.25,0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,4] <- matrix(c(3.0,1.0,-0.5,-0.25, 1.0,3.0,1.0,-0.5, -0.5,1.0,3.0,1.0, -0.25,-0.5,1.0,3.0),P,P) * 1.5 * sigma
param$prop <- c(0.3, 0.3, 0.3, 0.1)
set.seed(1)
pred.2.10h.unspecified <- ODD.pred.compare.unspecified(N, param, alpha = 0.05, niter = 1000)
save.image('R_Result_Simulation.RData')

N <- 1000
P <- 4
ncls <- 4
mu <- 2
sigma <- 1.2
param <- list()
param$mu <- matrix(0, P, ncls) # All mean vectors are equal
param$mu[,1] <- c(1.5, 0.0, 0.5, 1.0)*mu
param$mu[,2] <- c(1.0, 1.5, 0.0, 0.5)*mu
param$mu[,3] <- c(0.5, 1.0, 1.5, 0.0)*mu
param$mu[,4] <- c(0.0, 0.5, 1.0, 1.5)*mu
param$cov <- array(0, c(P, P, ncls))
param$cov[,,1] <- matrix(c(3.0,1.0,0.5,0.25, 1.0,3.0,1.0,0.5, 0.5,1.0,3.0,1.0, 0.25,0.5,1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,2] <- matrix(c(3.0,-1.0,-0.5,-0.25, -1.0,3.0,-1.0,-0.5, -0.5,-1.0,3.0,-1.0, -0.25,-0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,3] <- matrix(c(3.0,-1.0,0.5,0.25, -1.0,3.0,-1.0,0.5, 0.5,-1.0,3.0,-1.0, 0.25,0.5,-1.0,3.0),P,P) * 1.5 * sigma
param$cov[,,4] <- matrix(c(3.0,1.0,-0.5,-0.25, 1.0,3.0,1.0,-0.5, -0.5,1.0,3.0,1.0, -0.25,-0.5,1.0,3.0),P,P) * 1.5 * sigma
param$prop <- c(0.3, 0.3, 0.3, 0.1)
set.seed(1)
pred.2.12h.unspecified <- ODD.pred.compare.unspecified(N, param, alpha = 0.05, niter = 1000)
save.image('R_Result_Simulation.RData')

	#########################
	# End of the simulation #
	#########################

	#########################
	# Begin printing tables #
	#########################

	## Print Table 1 ##
round(rbind(
  c(apply(Type.I.4.05, 2, mean)[1],
    apply(Type.I.4.10, 2, mean)[1],
    apply(Type.I.4.12, 2, mean)[1],
    apply(Type.I.3.05, 2, mean)[1],
    apply(Type.I.3.10, 2, mean)[1],
    apply(Type.I.3.12, 2, mean)[1],
    apply(Type.I.2.05, 2, mean)[1],
    apply(Type.I.2.10, 2, mean)[1],
    apply(Type.I.2.12, 2, mean)[1]),
  c(apply(Power.4.05, 2, mean)[1],
    apply(Power.4.10, 2, mean)[1],
    apply(Power.4.12, 2, mean)[1],
    apply(Power.3.05, 2, mean)[1],
    apply(Power.3.10, 2, mean)[1],
    apply(Power.3.12, 2, mean)[1],
    apply(Power.2.05, 2, mean)[1],
    apply(Power.2.10, 2, mean)[1],
    apply(Power.2.12, 2, mean)[1])),3)
  
	## Print Table 2 ##

round(t(rbind(apply(Pred.4.12.10, 2, mean),
              apply(Pred.4.12.01, 2, mean, na.rm = TRUE),
              apply(Pred.3.12.10, 2, mean),
              apply(Pred.3.12.01, 2, mean, na.rm = TRUE),
              apply(Pred.2.12.10, 2, mean),
              apply(Pred.2.12.01, 2, mean, na.rm = TRUE))),3)


	## Print Table 3 ##

round(rbind(
  apply(Type.I.4.05, 2, mean),
  apply(Type.I.4.10, 2, mean),
  apply(Type.I.4.12, 2, mean),
  apply(Type.I.3.05, 2, mean),
  apply(Type.I.3.10, 2, mean),
  apply(Type.I.3.12, 2, mean),
  apply(Type.I.2.05, 2, mean),
  apply(Type.I.2.10, 2, mean),
  apply(Type.I.2.12, 2, mean)),3)

	## Print Table 4 ##

round(rbind(
  apply(Power.4.05, 2, mean),
  apply(Power.4.10, 2, mean),
  apply(Power.4.12, 2, mean),
  apply(Power.3.05, 2, mean),
  apply(Power.3.10, 2, mean),
  apply(Power.3.12, 2, mean),
  apply(Power.2.05, 2, mean),
  apply(Power.2.10, 2, mean),
  apply(Power.2.12, 2, mean)),3)

	## Print Table 5 ##

round(rbind(
  apply(pred.4.05h$pred.mat, 2, mean, na.rm = TRUE),
  apply(pred.4.10h$pred.mat, 2, mean, na.rm = TRUE),
  apply(pred.4.12h$pred.mat, 2, mean, na.rm = TRUE),
  apply(pred.3.05h$pred.mat, 2, mean, na.rm = TRUE),
  apply(pred.3.10h$pred.mat, 2, mean, na.rm = TRUE),
  apply(pred.3.12h$pred.mat, 2, mean, na.rm = TRUE),
  apply(pred.2.05h$pred.mat, 2, mean, na.rm = TRUE),
  apply(pred.2.10h$pred.mat, 2, mean, na.rm = TRUE),
  apply(pred.2.12h$pred.mat, 2, mean, na.rm = TRUE)),3)

	## Print Table 6 ##

round(rbind(
  apply(pred.4.05s$pred.mat, 2, mean, na.rm = TRUE),
  apply(pred.4.10s$pred.mat, 2, mean, na.rm = TRUE),
  apply(pred.4.12s$pred.mat, 2, mean, na.rm = TRUE),
  apply(pred.3.05s$pred.mat, 2, mean, na.rm = TRUE),
  apply(pred.3.10s$pred.mat, 2, mean, na.rm = TRUE),
  apply(pred.3.12s$pred.mat, 2, mean, na.rm = TRUE),
  apply(pred.2.05s$pred.mat, 2, mean, na.rm = TRUE),
  apply(pred.2.10s$pred.mat, 2, mean, na.rm = TRUE),
  apply(pred.2.12s$pred.mat, 2, mean, na.rm = TRUE)),3)[,-8]

	## Print Table 7 ##	
	
round(rbind(
  apply(type1error.4.12.t5, 2, mean),
  apply(type1error.4.12.t15, 2, mean),
  apply(type1error.4.12.t30, 2, mean),
  apply(type1error.3.12.t5, 2, mean),
  apply(type1error.3.12.t15, 2, mean),
  apply(type1error.3.12.t30, 2, mean),
  apply(type1error.2.12.t5, 2, mean),
  apply(type1error.2.12.t15, 2, mean),
  apply(type1error.2.12.t30, 2, mean)),3)

	## Print Table 8 ##

round(rbind(
  apply(none.t5.4.12$pred.mat, 2, mean),
  apply(none.t15.4.12$pred.mat, 2, mean),
  apply(none.t30.4.12$pred.mat, 2, mean),
  apply(none.t5.3.12$pred.mat, 2, mean),
  apply(none.t15.3.12$pred.mat, 2, mean),
  apply(none.t30.3.12$pred.mat, 2, mean),
  apply(none.t5.2.12$pred.mat, 2, mean),
  apply(none.t15.2.12$pred.mat, 2, mean),
  apply(none.t30.2.12$pred.mat, 2, mean)),3)[,-8]

	## Supplementary Table 1 ##	

round(rbind(apply(Type.I.4.05.unspecified$Power, 2, mean),
      apply(Type.I.4.10.unspecified$Power, 2, mean),
      apply(Type.I.4.12.unspecified$Power, 2, mean),
      apply(Type.I.3.05.unspecified$Power, 2, mean),
      apply(Type.I.3.10.unspecified$Power, 2, mean),
      apply(Type.I.3.12.unspecified$Power, 2, mean),
      apply(Type.I.2.05.unspecified$Power, 2, mean),
      apply(Type.I.2.10.unspecified$Power, 2, mean),
      apply(Type.I.2.12.unspecified$Power, 2, mean)), 3)

	## Supplementary Table 2 ##	

round(rbind(apply(Power.4.05.unspecified$Power, 2, mean),
      apply(Power.4.10.unspecified$Power, 2, mean),
      apply(Power.4.12.unspecified$Power, 2, mean),
      apply(Power.3.05.unspecified$Power, 2, mean),
      apply(Power.3.10.unspecified$Power, 2, mean),
      apply(Power.3.12.unspecified$Power, 2, mean),
      apply(Power.2.05.unspecified$Power, 2, mean),
      apply(Power.2.10.unspecified$Power, 2, mean),
      apply(Power.2.12.unspecified$Power, 2, mean)), 3)

	## Supplementary Table 3 ##	
round(rbind(apply(pred.4.05h.unspecified$pred.mat, 2, mean),
            apply(pred.4.10h.unspecified$pred.mat, 2, mean),
            apply(pred.4.12h.unspecified$pred.mat, 2, mean),
            apply(pred.3.05h.unspecified$pred.mat, 2, mean),
            apply(pred.3.10h.unspecified$pred.mat, 2, mean),
            apply(pred.3.12h.unspecified$pred.mat, 2, mean),
            apply(pred.2.05h.unspecified$pred.mat, 2, mean),
            apply(pred.2.10h.unspecified$pred.mat, 2, mean),
            apply(pred.2.12h.unspecified$pred.mat, 2, mean)), 3)[,-8]

	#################
	# End of tables #
	#################

